Bug 244979 - math/saga: Update to 7.6.2
Summary: math/saga: Update to 7.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-22 15:31 UTC by Rainer Hurling
Modified: 2020-04-02 04:44 UTC (History)
2 users (show)

See Also:


Attachments
update math/saga from 7.5.0 to 7.6.2 (4.01 KB, patch)
2020-03-22 15:31 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2020-03-22 15:31:01 UTC
Created attachment 212614 [details]
update math/saga from 7.5.0 to 7.6.2

This patch towards SAGA GIS version 7.6.2 brings many bug fixes and enhancements. Some more important examples are:

- several updates and fixes to gdal and proj.6 functionalities
- new tool library io_pdal added
- enhanced transparency/alpha-channel handling
- parameter interface parser: updated to python 3
- garden_webservices geocoding tool moved to new tool library 'io_webservices'


What the port update should do:
- Update SAGA GIS to version 7.6.2 (skip 7.6.0 and 7.6.1)
- Fix PGSQL_CONFIGURE_WITH using parameter postgresql instead of pg
- reintroduce OpenMP handling in configure.ac patch
- Update plist


Tested with Poudriere (F11.3i/a, F12.1i/a, and HEADi/a).

'portlint -AC' seems fine.
Comment 1 Automation User 2020-03-23 02:11:30 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/128583613
Comment 2 commit-hook freebsd_committer 2020-04-01 20:01:03 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Apr  1 19:59:46 UTC 2020
New revision: 530236
URL: https://svnweb.freebsd.org/changeset/ports/530236

Log:
  databases/grass7, math/saga, graphics/qgis and graphics/qgis-ltr: update to latest versions

      - math/saga:
          - Update to 7.6.2
          - Use wxWidgets 3.0+ instead of 3.1+ since 3.1 is not a mandatory version and this reduces the number of packages installed when you install saga and qgis/grass (which requires version 3.0).

      - databases/grass7:
          - Update to 7.8.2 first version for python3 only
          - Use ${PY_NUMPY} variable
          - Readd openmp
          - Use wxPython40 for python3
          - Remove bash dependency. You can use any shell.
          - Rework the workaround in post-install (for / touch files). Fix the long (random) standing issue with pkg-plist
          - Alphabetize USES and OPTIONS
          - Replace XX_configure_on by XX_configure_with as possible

      - graphics/qgis:
          - Update to 3.12.1
          - Remove patches (applied upstream or fixed in ports: pyqt5 / sip)

      - graphics/qgis-ltr:
          - Update to 3.10.4

  PR:             241892, 244979
  Reported by:    rainer hurling (maintainer), lbartoletti (maintainer)
  Reviewed by:    tcberner (mentor), rainer hurling (maintainer)
  Approved by:    tcberner (mentor), rainer hurling (maintainer)
  Differential Revision:  https://reviews.freebsd.org/D24198

Changes:
  head/databases/grass7/Makefile
  head/databases/grass7/distinfo
  head/databases/grass7/files/pkg-message.in
  head/databases/grass7/pkg-message
  head/databases/grass7/pkg-plist
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-cmake_FindGRASS.cmake
  head/graphics/qgis/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis/files/patch-doc_INSTALL.html
  head/graphics/qgis/files/patch-doc_INSTALL.t2t
  head/graphics/qgis/files/patch-doc_news.html
  head/graphics/qgis/files/patch-doc_news.t2t
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis/files/patch-scripts_release.pl
  head/graphics/qgis/files/patch-scripts_update-news.pl
  head/graphics/qgis/files/patch-src_analysis_interpolation_qgsinterpolator.h
  head/graphics/qgis/files/patch-src_core_CMakeLists.txt
  head/graphics/qgis/files/patch-src_plugins_grass_CMakeLists.txt
  head/graphics/qgis/pkg-plist
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qgis-ltr/files/patch-cmake_FindGRASS.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis-ltr/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.html
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.t2t
  head/graphics/qgis-ltr/files/patch-doc_news.html
  head/graphics/qgis-ltr/files/patch-doc_news.t2t
  head/graphics/qgis-ltr/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis-ltr/files/patch-scripts_release.pl
  head/graphics/qgis-ltr/files/patch-scripts_update-news.pl
  head/graphics/qgis-ltr/files/patch-src_core_CMakeLists.txt
  head/graphics/qgis-ltr/files/patch-src_core_qgsproject.cpp
  head/graphics/qgis-ltr/files/patch-src_plugins_grass_CMakeLists.txt
  head/graphics/qgis-ltr/pkg-plist
  head/math/saga/Makefile
  head/math/saga/distinfo
  head/math/saga/files/patch-configure.ac
  head/math/saga/pkg-plist
Comment 3 Loïc Bartoletti freebsd_committer 2020-04-02 04:44:47 UTC
Commited, with a minor changes about WX. Thanks!